package com.unis.financial.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.ResponseWrapper;
import com.unis.financial.common.vo.SysCwModelsDO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@FeignClient(name = "financial-server")
@Component
@Api(value = "财务模版管理", tags = "财务模版管理")
public interface SysCwModelsFeign {

	@ApiOperation(value = "查找财务模板数据", notes = "支持分页")
    @GetMapping("/sysCwModels/getList/{page}/{size}")
    public ResponseWrapper getList(@PathVariable("page") Integer page, @PathVariable("size") Integer size, 
    		@RequestParam(value="dataType") String dataType, 
    		@RequestParam(value="orgCode") String orgCode, 
    		@RequestParam(value="depotCode") String depotCode,
    		@RequestParam(value="tbnf") String tbnf);

	@ApiOperation(value = "查找一条财务模板数据", notes = "")
    @GetMapping("/sysCwModels/findByParmary")
    public ResponseWrapper findByParmary(@RequestParam(value="id", required=true) String id);

	@ApiOperation(value = "修改或新增一条财务模板数据", notes = "")
    @PostMapping("/sysCwModels/saveOrUpdate")
    public ResponseWrapper saveOrUpdate(@RequestBody SysCwModelsDO sysCwModelsDO, @RequestParam(value="operateName", required=true) String operateName);

	@ApiOperation(value = "删除一条财务模板数据", notes = "")
    @PostMapping("/sysCwModels/removeSysCwModels")
    public ResponseWrapper removeSysCwModels(@RequestParam(value="id", required=true)String id);
}
