package com.unis.financial.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wq
 * @version 1.0
 * @Title: BizFinancialPresentationVO
 * @ProjectName
 */

/**
 * @ApiModel：用于响应类上，表示一个返回响应数据的信息
 * 这种一般用在post创建的时候，使用@RequestBody这样的场景，
 * 请求参数无法使用@ApiImplicitParam注解进行描述的时候）
 */
@ApiModel(description = "BizFinancialPresentationVO，用于和前台交互")
@Getter
@Setter
public class BizFinancialPresentationVO {
    private String id;

    private String createBy;

    private Date createTime;

    private String deleteBy;

    private Date deleteTime;

    private String updateBy;

    private Date updateTime;

    private String orgId;

    private String deptId;

    private String areaCode;

    private String reportYear;

    private String reportMonth;

    private String reportTitle;

    private BigDecimal monetaryUnitYuan;

    private String establishmentUnit;

    private Date establishmentTime;

    private String enterpriseCategory;

    //营业收入
    private BigDecimal salesIncome;

    private BigDecimal grainAndOilSalesIncome;

    private BigDecimal salesCost;

    private BigDecimal grainAndOilSalesCost;

    private BigDecimal totalCost;

    private BigDecimal interest;

    private BigDecimal wagesAndSocialSecurity;

    private BigDecimal depositCharges;

    private BigDecimal freightMiscellaneousCharges;

    private BigDecimal depreciationAndAmortization;

    private BigDecimal taxesAndSurcharges;

    private BigDecimal netOutOfBusinessIncome;

    private BigDecimal governmentGrants;

    private BigDecimal grainOilSubsidiesIncome;

    private BigDecimal otherSubsidies;

    private BigDecimal netRevenueOfOtherProjects;

    private BigDecimal totalProfit;

    private BigDecimal incomeTaxExpenses;

    private BigDecimal netProfit;

    private BigDecimal totalAssets;

    private BigDecimal currentAssets;

    private BigDecimal stock;

    private BigDecimal grainAndOilInventory;

    private BigDecimal monetaryFunds;

    private BigDecimal accountsReceivablePrepaid;

    private BigDecimal otherReceivables;

    private BigDecimal subsidiesReceivable;

    private BigDecimal totalLiabilities;

    private BigDecimal currentLiabilities;

    private BigDecimal shortTermBorrowing;

    private BigDecimal grainAndOilLoans;

    private BigDecimal otherAccountsPayable;

    private BigDecimal ownerRightsAndInterests;

    private BigDecimal paidInCapital;

    private BigDecimal stateOwnedCapital;

    private BigDecimal payingTax;

    private BigDecimal expensableTaxPayable;

    private BigDecimal expensableTaxesPaid;

    private String supplementaryInformation;

    private BigDecimal amountOfPurchaseFunds;

    private BigDecimal agriculturalDevBankLoan;

    private BigDecimal policyLoans;

    private BigDecimal loansUnderGuaranteeFund;

    private BigDecimal loansFromOtherInstitutions;

    private String otherBanksName;

    private String otherBanksLoans;

    private BigDecimal raiseIndependently;

    private BigDecimal grossInterestRate;

    private BigDecimal assetLiabilityRatio;

    private String reportingStatus;

    private BigDecimal accountsPayableAndPrepaid;
    
    private String belongTo;

    //营业费用
    private BigDecimal operatingExpenses;
    //经营人员工资及福利
    private String wagesOperatingPersonnel;
    //管理费用
    private BigDecimal managementFees;
    //管理人员工资及福利
    private String managementSalariesBenefits;
    //银行借贷
    private BigDecimal bankLending;
    //长期借贷
    private BigDecimal longTermBorrowing;
    //粮油销售成本
    private BigDecimal costOfGrainAndOilSales;
    //销售费用率
    private BigDecimal ratioOfExpensesToSales;
    //销售利润率
    private BigDecimal profitRatioOfSales;
    //毛利
    private BigDecimal grossInterest;
}
