package com.unis.financial.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
@ApiModel(description = "预算绩效管理 ",value = "预算绩效管理 ")
public class BizPerformanceManagementVO {
    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "删除人")
    private String deleteBy;
    @ApiModelProperty(value = "删除时间")
    private Date deleteTime;
    @ApiModelProperty(value = "更新")
    private String updateBy;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "主键")
    private String orgId;

    private String deptId;

    private String areaCode;
    @ApiModelProperty(value = "主管部门")
    private String projectName;
    @ApiModelProperty(value = "资金总额")
    private String projectContent;
    @ApiModelProperty(value = "项目负责人电话")
    private String annualTarget;
    @ApiModelProperty(value = "财政拨款")
    private String expenditureProgress;
    @ApiModelProperty(value = "其他资金")
    private String projectCompletionSchedule;
    @ApiModelProperty(value = "填写日期")
    private Date fillDate;
    @ApiModelProperty(value = "审核意见")
    private String auditOpinions;
    @ApiModelProperty(value = "审核结果")
    private String findingsAudit;
    @ApiModelProperty(value = "审核人")
    private String auditor;
    @ApiModelProperty(value = "审核日期")
    private Date auditDate;
    @ApiModelProperty(value = "projectId")
    private String projectId;
    
    //产出指标
    private List<OutPutIndexQueryVO> outputIndex;
    
    //效益指标
    private List<OutPutIndexQueryVO> benefitIndex;

    //满意度指标
    private List<OutPutIndexQueryVO> satisfactionIndex;
    
    //总体目标
    private List<OverallObjectiveVO> overallObjective;
}
