package com.unis.financial.common.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@ApiModel(value = "财务模板管理", description = "财务模板管理 ")
@Getter
@Setter
@ToString
public class SysCwModelsDO {

	@ApiModelProperty(value="主键唯一ID")
	private String id;

	@ApiModelProperty(value="机构编码")
	private String orgCode;

	@ApiModelProperty(value="部门编码")
	private String depotCode;

	@ApiModelProperty(value="部门名称")
	private String depotName;

	@ApiModelProperty(value="数据类型(0:项目评审报告,1:项目事前绩效评估报告,2:项目经费使用方案)")
	private String dataType;

	@ApiModelProperty(value="模板名称")
	private String mName;

	@ApiModelProperty(value="填报年份")
	private String tbnf;

	@ApiModelProperty(value="模板内容")
	private String mText;

	@ApiModelProperty(value="模板路径")
	private String mPath;

	@ApiModelProperty(value="数据状态(0:提交,1:保存)")
	private String dataStatus;

	@ApiModelProperty(value="创建时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty(value="创建人")
	private String createPerson;

	@ApiModelProperty(value="修改时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updateTime;

	@ApiModelProperty(value="修改人")
	private String updatePerson;
}
