/*
===================================粮食财务 预算填报表 start=========================================
*/
CREATE TABLE "BUSINESS"."BIZ_FINANCIAL_BUDGET_FILLING"
(	"ID" VARCHAR2(36) NOT NULL ENABLE,
   "CREATE_BY" VARCHAR2(36) DEFAULT -1,
   "CREATE_TIME" TIMESTAMP (6) DEFAULT null,
   "DELETE_BY" VARCHAR2(36) DEFAULT -1,
   "DELETE_TIME" TIMESTAMP (6),
   "UPDATE_BY" VARCHAR2(36) DEFAULT -1,
   "UPDATE_TIME" TIMESTAMP (6) DEFAULT null,
   "ORG_ID" VARCHAR2(50),
   "DEPT_ID" VARCHAR2(50),
   "AREA_CODE" VARCHAR2(50),
   "PROJECT_NAME" VARCHAR2(200),
   "DEPARTMENTS_CODES" VARCHAR2(200),
   "IMPLEMENTATION_UNIT" VARCHAR2(200),
   "PROJECT_ATTRIBUTES" VARCHAR2(200),
   "PROJECT_PERIOD" VARCHAR2(200),
   "TOTAL_ANNUAL_FUNDS" VARCHAR2(200),
   "FINANCIAL_ALLOCATION" VARCHAR2(200),
   "OTHER_FUNDS" VARCHAR2(200),
   "TOTAL_MEDIUM-TERM _FUNDS" VARCHAR2(200),
   "MEDIUM-TERM_FINANCIAL_ALLOCATI" VARCHAR2(200),
   "MEDIUM-TERM_OTHER_FUNDS" VARCHAR2(200),
   "PROJECT_CONTENT" VARCHAR2(200),
   "BASIS_APPLICATION" VARCHAR2(200),
   "CALCULATING_PROCESS" VARCHAR2(200),
   "ANNUAL_TARGET" VARCHAR2(200),
   "MEDIUM-TERM_OBJECTIVES" VARCHAR2(200),
   "QUANTITY-INDICATOR_CONTENT" VARCHAR2(200),
   "QUANTITY-ANNUAL_INDICATOR" VARCHAR2(200),
   "QUANTITY-MEDIUM_TERM" VARCHAR2(200),
   "QUALITY_INDICATOR_CONTENT" VARCHAR2(200),
   "QUALITY-ANNUAL_INDICATOR" VARCHAR2(200),
   "QUALITY-MEDIUM_TERM" VARCHAR2(200),
   "PRESCRIPTION-INDICATOR_CONTENT" VARCHAR2(200),
   "PRESCRIPTION-ANNUAL_INDICATOR" VARCHAR2(200),
   "PRESCRIPTION-MEDIUM_TERM" VARCHAR2(200),
   "COST-INDICATOR_CONTENT" VARCHAR2(200),
   "COST-ANNUAL_INDICATOR" VARCHAR2(200),
   "COST-MEDIUM_TERM" VARCHAR2(200),
   "ECONOMICS-INDICATOR_CONTENT" VARCHAR2(200),
   "ECONOMICS-ANNUAL_INDICATOR" VARCHAR2(200),
   "ECONOMICS-MEDIUM_TERM" VARCHAR2(200),
   "SOCIOLOGY-INDICATOR_CONTENT" VARCHAR2(200),
   "SOCIOLOGY-ANNUAL_INDICATOR" VARCHAR2(200),
   "SOCIOLOGY-MEDIUM_TERM" VARCHAR2(200),
   "ENVIRONMENTAL-INDICATOR_CONTEN" VARCHAR2(200),
   "ENVIRONMENTAL-ANNUAL_INDICATOR" VARCHAR2(200),
   "ENVIRONMENTAL-MEDIUM_TERM" VARCHAR2(200),
   "SUSTAINABILI-INDICATOR_CONTENT" VARCHAR2(200),
   "SUSTAINABILIT-ANNUAL_INDICATOR" VARCHAR2(200),
   "SUSTAINABILITY-MEDIUM_TERM" VARCHAR2(200),
   "SERVICE-INDICATOR_CONTENT" VARCHAR2(200),
   "SERVICE-ANNUAL_INDICATOR" VARCHAR2(200),
   "SERVICE-MEDIUM_TERM" VARCHAR2(200),
   "APPLICATION_OFFICE" VARCHAR2(200),
   "APPLICATION_DATE" TIMESTAMP (6),
   "AUDIT_OPINIONS" VARCHAR2(200),
   "FINDINGS_AUDIT" VARCHAR2(200),
   "AUDITOR" VARCHAR2(200),
   "AUDIT_DATE" TIMESTAMP (6),
   "ATTACH_ID" VARCHAR2(36),
   "ATTACH_NAME" VARCHAR2(36),
   "IS_IMPORT_PERFORMANCE" VARCHAR2(20 CHAR) DEFAULT 0,
   "PROJECT_ID" VARCHAR2(36)
) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255
  NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TS_BUSINESS";

COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SERVICE-MEDIUM_TERM	is	'服务对象满意度指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	APPLICATION_OFFICE	is	'申请处室';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	APPLICATION_DATE	is	'申请日期';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	AUDIT_OPINIONS	is	'审核意见';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	FINDINGS_AUDIT	is	'审核结果';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	AUDITOR	is	'审核人';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	AUDIT_DATE	is	'审核日期';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PROJECT_NAME	is	'项目名称';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	DEPARTMENTS_CODES	is	'本级部门及代码';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	IMPLEMENTATION_UNIT	is	'实施单位';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PROJECT_ATTRIBUTES	is	'项目属性';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PROJECT_PERIOD	is	'项目期';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	TOTAL_ANNUAL_FUNDS	is	'年度资金总额';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	FINANCIAL_ALLOCATION	is	'其中：财政拨款';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	OTHER_FUNDS	is	'其他资金';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	TOTAL_MEDIUM-TERM _FUNDS	is	'中期资金总额';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	MEDIUM-TERM_FINANCIAL_ALLOCATI	is	'中期资金总额-其中财政拨款';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	MEDIUM-TERM_OTHER_FUNDS	is	'中期资金总额-其他资金';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PROJECT_CONTENT	is	'项目内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	BASIS_APPLICATION	is	'申请依据';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	CALCULATING_PROCESS	is	'测算过程';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ANNUAL_TARGET	is	'年度目标';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	MEDIUM-TERM_OBJECTIVES	is	'中期目标';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUANTITY-INDICATOR_CONTENT	is	'数量指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUANTITY-ANNUAL_INDICATOR	is	'数量指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUANTITY-MEDIUM_TERM	is	'数量指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUALITY_INDICATOR_CONTENT	is	'质量指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUALITY-ANNUAL_INDICATOR	is	'质量指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	QUALITY-MEDIUM_TERM	is	'质量指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PRESCRIPTION-INDICATOR_CONTENT	is	'时效指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PRESCRIPTION-ANNUAL_INDICATOR	is	'时效指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	PRESCRIPTION-MEDIUM_TERM	is	'时效指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	COST-INDICATOR_CONTENT	is	'成本指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	COST-ANNUAL_INDICATOR	is	'成本指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	COST-MEDIUM_TERM	is	'成本指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ECONOMICS-INDICATOR_CONTENT	is	'经济效益指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ECONOMICS-ANNUAL_INDICATOR	is	'经济效益指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ECONOMICS-MEDIUM_TERM	is	'经济效益指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SOCIOLOGY-INDICATOR_CONTENT	is	'社会效益指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SOCIOLOGY-ANNUAL_INDICATOR	is	'社会效益指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SOCIOLOGY-MEDIUM_TERM	is	'社会效益指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ENVIRONMENTAL-INDICATOR_CONTEN	is	'环境效益指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ENVIRONMENTAL-ANNUAL_INDICATOR	is	'环境效益指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	ENVIRONMENTAL-MEDIUM_TERM	is	'环境效益指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SUSTAINABILI-INDICATOR_CONTENT	is	'可持续性指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SUSTAINABILIT-ANNUAL_INDICATOR	is	'可持续性指标-年度指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SUSTAINABILITY-MEDIUM_TERM	is	'可持续性指标-中期指标值';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SERVICE-INDICATOR_CONTENT	is	'服务对象满意度指标-指标内容';
COMMENT ON COLUMN BIZ_FINANCIAL_BUDGET_FILLING.	SERVICE-ANNUAL_INDICATOR	is	'服务对象满意度指标-年度指标';

/*
===================================粮食财务 预算填报表 end=========================================
*/

/*
===================================粮食财务 绩效管理表 start=========================================
*/
CREATE TABLE "BUSINESS"."BIZ_PERFORMANCE_MANAGEMENT"
(	"ID" VARCHAR2(36) NOT NULL ENABLE,
   "CREATE_BY" VARCHAR2(36) DEFAULT -1,
   "CREATE_TIME" TIMESTAMP (6) DEFAULT null,
   "DELETE_BY" VARCHAR2(36) DEFAULT -1,
   "DELETE_TIME" TIMESTAMP (6),
   "UPDATE_BY" VARCHAR2(36) DEFAULT -1,
   "UPDATE_TIME" TIMESTAMP (6) DEFAULT null,
   "ORG_ID" VARCHAR2(50),
   "DEPT_ID" VARCHAR2(50),
   "AREA_CODE" VARCHAR2(50),
   "PROJECT_NAME" VARCHAR2(200),
   "PROJECT_CONTENT" VARCHAR2(200),
   "ANNUAL_TARGET" VARCHAR2(200),
   "PROJECT_COMPLETION_SCHEDULE" VARCHAR2(200),
   "EXPENDITURE_PROGRESS" VARCHAR2(200),
   "FILL_DATE" TIMESTAMP (6),
   "AUDIT_OPINIONS" VARCHAR2(200),
   "FINDINGS_AUDIT" VARCHAR2(50),
   "AUDITOR" VARCHAR2(50),
   "AUDIT_DATE" TIMESTAMP (6),
   "PROJECT_ID" VARCHAR2(36) NOT NULL ENABLE,
   PRIMARY KEY ("ID")
     USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
     STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
     PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
     BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
     TABLESPACE "TS_BUSINESS"  ENABLE
) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255
  NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TS_BUSINESS";

CREATE UNIQUE INDEX "BUSINESS"."SYS_C0023979" ON "BUSINESS"."BIZ_PERFORMANCE_MANAGEMENT" ("ID")
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "TS_BUSINESS";

COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	PROJECT_NAME	is	'项目名称';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	PROJECT_CONTENT	is	'项目内容';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	ANNUAL_TARGET	is	'年度目标';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	PROJECT_COMPLETION_SCHEDULE	is	'项目完成进度';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	EXPENDITURE_PROGRESS	is	'支出进度';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	FILL_DATE	is	'填写日期';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	AUDIT_OPINIONS	is	'审核意见';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	FINDINGS_AUDIT	is	'审核结果';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	AUDITOR	is	'审核人';
COMMENT ON COLUMN BIZ_PERFORMANCE_MANAGEMENT.	AUDIT_DATE	is	'审核日期';
/*
===================================粮食财务 绩效管理表 end=========================================
*/

/*
===================================粮食财务 数据提报 start=========================================
*/
CREATE TABLE "BUSINESS"."BIZ_FINANCIAL_PRESENTATION"
(	"ID" VARCHAR2(36) NOT NULL ENABLE,
   "CREATE_BY" VARCHAR2(36) DEFAULT -1,
   "CREATE_TIME" TIMESTAMP (6) DEFAULT null,
   "DELETE_BY" VARCHAR2(36) DEFAULT -1,
   "DELETE_TIME" TIMESTAMP (6),
   "UPDATE_BY" VARCHAR2(36) DEFAULT -1,
   "UPDATE_TIME" TIMESTAMP (6) DEFAULT null,
   "ORG_ID" VARCHAR2(50),
   "DEPT_ID" VARCHAR2(50),
   "AREA_CODE" VARCHAR2(50),
   "REPORT_YEAR" VARCHAR2(50),
   "REPORT_MONTH" VARCHAR2(50),
   "REPORT_TITLE" VARCHAR2(50),
   "MONETARY_UNIT_YUAN" NUMBER(38,10),
   "ESTABLISHMENT_UNIT" VARCHAR2(36),
   "ESTABLISHMENT_TIME" TIMESTAMP (6) DEFAULT null,
   "ENTERPRISE_CATEGORY" VARCHAR2(36),
   "SALES_INCOME" NUMBER(38,10),
   "GRAIN_AND_OIL_SALES_INCOME" NUMBER(38,10),
   "SALES_COST" NUMBER(38,10),
   "GRAIN_AND_OIL_SALES_COST" NUMBER(38,10),
   "TOTAL_COST" NUMBER(38,10),
   "INTEREST" NUMBER(38,10),
   "WAGES_AND_SOCIAL_SECURITY" NUMBER(38,10),
   "DEPOSIT_CHARGES" NUMBER(38,10),
   "FREIGHT_MISCELLANEOUS_CHARGES" NUMBER(38,10),
   "DEPRECIATION_AND_AMORTIZATION" NUMBER(38,10),
   "TAXES_AND_SURCHARGES" NUMBER(38,10),
   "NET_OUT_OF_BUSINESS_INCOME" NUMBER(38,10),
   "GOVERNMENT_GRANTS" NUMBER(38,10),
   "GRAIN_OIL_SUBSIDIES_INCOME" NUMBER(38,10),
   "OTHER_SUBSIDIES" NUMBER(38,10),
   "NET_REVENUE_OF_OTHER_PROJECTS" NUMBER(38,10),
   "TOTAL_PROFIT" NUMBER(38,10),
   "INCOME_TAX_EXPENSES" NUMBER(38,10),
   "NET_PROFIT" NUMBER(38,10),
   "TOTAL_ASSETS" NUMBER(38,10),
   "CURRENT_ASSETS" NUMBER(38,10),
   "STOCK" NUMBER(38,10),
   "GRAIN_AND_OIL_INVENTORY" NUMBER(38,10),
   "MONETARY_FUNDS" NUMBER(38,10),
   "ACCOUNTS_RECEIVABLE_PREPAID" NUMBER(38,10),
   "OTHER_RECEIVABLES" NUMBER(38,10),
   "SUBSIDIES_RECEIVABLE" NUMBER(38,10),
   "TOTAL_LIABILITIES" NUMBER(38,10),
   "CURRENT_LIABILITIES" NUMBER(38,10),
   "SHORT_TERM_BORROWING" NUMBER(38,10),
   "GRAIN_AND_OIL_LOANS" NUMBER(38,10),
   "OTHER_ACCOUNTS_PAYABLE" NUMBER(38,10),
   "OWNER_RIGHTS_AND_INTERESTS" NUMBER(38,10),
   "PAID_IN_CAPITAL" NUMBER(38,10),
   "STATE_OWNED_CAPITAL" NUMBER(38,10),
   "PAYING_TAX" NUMBER(38,10),
   "EXPENSABLE_TAX_PAYABLE" NUMBER(38,10),
   "EXPENSABLE_TAXES_PAID" NUMBER(38,10),
   "SUPPLEMENTARY_INFORMATION" VARCHAR2(200),
   "AMOUNT_OF_PURCHASE_FUNDS" NUMBER(38,10),
   "AGRICULTURAL_DEV_BANK_LOAN" NUMBER(38,10),
   "POLICY_LOANS" NUMBER(38,10),
   "LOANS_UNDER_GUARANTEE_FUND" NUMBER(38,10),
   "LOANS_FROM_OTHER_INSTITUTIONS" NUMBER(38,10),
   "OTHER_BANKS_NAME" VARCHAR2(50),
   "OTHER_BANKS_LOANS" VARCHAR2(50),
   "RAISE_INDEPENDENTLY" NUMBER(38,10),
   "GROSS_INTEREST_RATE" NUMBER(38,10),
   "ASSET_LIABILITY_RATIO" NUMBER(38,10),
   "REPORTING_STATUS" VARCHAR2(36),
   "ACCOUNTS_PAYABLE_AND_PREPAID" NUMBER(36,10),
   PRIMARY KEY ("ID")
     USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
     STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
     PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
     BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
     TABLESPACE "TS_BUSINESS"  ENABLE
) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255
  NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TS_BUSINESS";

CREATE UNIQUE INDEX "BUSINESS"."SYS_C0028918" ON "BUSINESS"."BIZ_FINANCIAL_PRESENTATION" ("ID")
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "TS_BUSINESS";

COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	MONETARY_UNIT_YUAN	is	'金钱单位元';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	ESTABLISHMENT_UNIT	is	'编制单位';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	ESTABLISHMENT_TIME	is	'编制时间';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	ENTERPRISE_CATEGORY	is	'企业类别';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	SALES_INCOME	is	'营业收入';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GRAIN_AND_OIL_SALES_INCOME	is	'粮油营业收入';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	SALES_COST	is	'营业成本';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GRAIN_AND_OIL_SALES_COST	is	'粮油营业成本';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	TOTAL_COST	is	'费用总额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	INTEREST	is	'利息';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	WAGES_AND_SOCIAL_SECURITY	is	'工资和社保';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	DEPOSIT_CHARGES	is	'保管费';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	FREIGHT_MISCELLANEOUS_CHARGES	is	'运杂费';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	DEPRECIATION_AND_AMORTIZATION	is	'折旧费及摊销';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	TAXES_AND_SURCHARGES	is	'税金及附加';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	NET_OUT_OF_BUSINESS_INCOME	is	'营业外收支净额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GOVERNMENT_GRANTS	is	'政府补助';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GRAIN_OIL_SUBSIDIES_INCOME	is	'粮油补贴收入';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OTHER_SUBSIDIES	is	'其他补助';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	NET_REVENUE_OF_OTHER_PROJECTS	is	'其他项目收支净额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	TOTAL_PROFIT	is	'利润总额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	INCOME_TAX_EXPENSES	is	'所得税费用';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	NET_PROFIT	is	'净利润';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	TOTAL_ASSETS	is	'资产总额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	CURRENT_ASSETS	is	'流动资产';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	STOCK	is	'存货';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GRAIN_AND_OIL_INVENTORY	is	'粮油库存';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	MONETARY_FUNDS	is	'货币资金';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	ACCOUNTS_RECEIVABLE_PREPAID	is	'应收及预付帐款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OTHER_RECEIVABLES	is	'其他应收款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	SUBSIDIES_RECEIVABLE	is	'应收补贴款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	TOTAL_LIABILITIES	is	'负债总额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	CURRENT_LIABILITIES	is	'流动负债';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	SHORT_TERM_BORROWING	is	'短期借款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GRAIN_AND_OIL_LOANS	is	'粮油借款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OTHER_ACCOUNTS_PAYABLE	is	'其他应付款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OWNER_RIGHTS_AND_INTERESTS	is	'所有者权益';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	PAID_IN_CAPITAL	is	'实收资本';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	STATE_OWNED_CAPITAL	is	'国有资本';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	PAYING_TAX	is	'已交税金';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	EXPENSABLE_TAX_PAYABLE	is	'应交费用性税金';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	EXPENSABLE_TAXES_PAID	is	'已交费用性税金';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	SUPPLEMENTARY_INFORMATION	is	'补充资料';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	AMOUNT_OF_PURCHASE_FUNDS	is	'本年收购资金累计筹集金额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	AGRICULTURAL_DEV_BANK_LOAN	is	'农发行贷款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	POLICY_LOANS	is	'政策性贷款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	LOANS_UNDER_GUARANTEE_FUND	is	'备用保证基金项下贷款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	LOANS_FROM_OTHER_INSTITUTIONS	is	'其他金融机构贷款';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OTHER_BANKS_NAME	is	'其他银行';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	OTHER_BANKS_LOANS	is	'其他银行贷款金额';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	RAISE_INDEPENDENTLY	is	'自筹';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	GROSS_INTEREST_RATE	is	'毛利率';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	ASSET_LIABILITY_RATIO	is	'资产负债率';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	REPORTING_STATUS	is	'提报状态';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	REPORT_YEAR	is	'上报年份';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	REPORT_MONTH	is	'上报月份';
COMMENT ON COLUMN BIZ_FINANCIAL_PRESENTATION.	REPORT_TITLE	is	'提报标题';

/*
===================================粮食财务 数据提报 end=========================================
*/
/*
===================================粮食财务 项目表 start=========================================
*/
CREATE TABLE "BUSINESS"."BUSINESS_PROJECT"
(	"ID" VARCHAR2(36) NOT NULL ENABLE,
   "CREATE_BY" VARCHAR2(36) DEFAULT - 1,
   "CREATE_TIME" TIMESTAMP (6) DEFAULT NULL,
   "DELETE_BY" VARCHAR2(36) DEFAULT - 1,
   "DELETE_TIME" TIMESTAMP (6),
   "UPDATE_BY" VARCHAR2(36) DEFAULT - 1,
   "UPDATE_TIME" TIMESTAMP (6) DEFAULT NULL,
   "ORG_ID" VARCHAR2(50),
   "DEPT_ID" VARCHAR2(50),
   "AREA_CODE" VARCHAR2(50),
   "PROJECT_NAME" VARCHAR2(200 CHAR),
   "PROJECT_CONTENT" VARCHAR2(200),
   "YEAR" VARCHAR2(36),
   PRIMARY KEY ("ID")
     USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
     STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
     PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
     BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
     TABLESPACE "TS_BUSINESS"  ENABLE
) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255
  NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TS_BUSINESS";

CREATE UNIQUE INDEX "BUSINESS"."SYS_C0023977" ON "BUSINESS"."BUSINESS_PROJECT" ("ID")
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "TS_BUSINESS";
COMMENT ON COLUMN BUSINESS_PROJECT.	PROJECT_NAME	is	'项目名称';
COMMENT ON COLUMN BUSINESS_PROJECT.	PROJECT_CONTENT	is	'项目内容';
COMMENT ON COLUMN BUSINESS_PROJECT.	YEAR	is	'项目所在年份';
/*
===================================粮食财务 项目表 end=========================================
*/