package com.unis.financial.server.entity.father;

import com.unis.financial.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName BizFinancialPresentationDO
 * @Description
 * @Author wq
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Entity
@Table(name = "BIZ_FINANCIAL_PRESENTATION")
public class BizFinancialPresentationDO extends BaseEntity {
	private String orgId;
	private String deptId;
	private String areaCode;

	private String reportYear;
	@Column(name = "")
	private String reportMonth;
	@Column(name = "")
	private String reportTitle;
	@Column(name = "")
	private BigDecimal monetaryUnitYuan;
	@Column(name = "")
	private String establishmentUnit;
	@Column(name = "")
	private Date establishmentTime;
	@Column(name = "")
	private String enterpriseCategory;
	@Column(name = "")
	private BigDecimal salesIncome;
	@Column(name = "")
	private BigDecimal grainAndOilSalesIncome;
	@Column(name = "")
	private BigDecimal salesCost;
	@Column(name = "")
	private BigDecimal grainAndOilSalesCost;
	@Column(name = "")
	private BigDecimal totalCost;
	@Column(name = "")
	private BigDecimal interest;
	@Column(name = "")
	private BigDecimal wagesAndSocialSecurity;
	@Column(name = "")
	private BigDecimal depositCharges;
	@Column(name = "")
	private BigDecimal freightMiscellaneousCharges;
	@Column(name = "")
	private BigDecimal depreciationAndAmortization;
	@Column(name = "")
	private BigDecimal taxesAndSurcharges;
	@Column(name = "")
	private BigDecimal netOutOfBusinessIncome;
	@Column(name = "")
	private BigDecimal governmentGrants;
	@Column(name = "")
	private BigDecimal grainOilSubsidiesIncome;
	@Column(name = "")
	private BigDecimal otherSubsidies;
	@Column(name = "")
	private BigDecimal netRevenueOfOtherProjects;
	@Column(name = "")
	private BigDecimal totalProfit;
	@Column(name = "")
	private BigDecimal incomeTaxExpenses;
	@Column(name = "")
	private BigDecimal netProfit;
	@Column(name = "")
	private BigDecimal totalAssets;
	@Column(name = "")
	private BigDecimal currentAssets;
	@Column(name = "")
	private BigDecimal stock;
	@Column(name = "")
	private BigDecimal grainAndOilInventory;
	@Column(name = "")
	private BigDecimal monetaryFunds;
	@Column(name = "")
	private BigDecimal accountsReceivablePrepaid;
	@Column(name = "")
	private BigDecimal otherReceivables;
	@Column(name = "")
	private BigDecimal subsidiesReceivable;
	@Column(name = "")
	private BigDecimal totalLiabilities;
	@Column(name = "")
	private BigDecimal currentLiabilities;
	@Column(name = "")
	private BigDecimal shortTermBorrowing;
	@Column(name = "")
	private BigDecimal grainAndOilLoans;
	@Column(name = "")
	private BigDecimal otherAccountsPayable;
	@Column(name = "")
	private BigDecimal ownerRightsAndInterests;
	@Column(name = "")
	private BigDecimal paidInCapital;
	@Column(name = "")
	private BigDecimal stateOwnedCapital;
	@Column(name = "")
	private BigDecimal payingTax;
	@Column(name = "")
	private BigDecimal expensableTaxPayable;
	@Column(name = "")
	private BigDecimal expensableTaxesPaid;
	@Column(name = "")
	private String supplementaryInformation;
	@Column(name = "")
	private BigDecimal amountOfPurchaseFunds;
	@Column(name = "")
	private BigDecimal agriculturalDevBankLoan;
	@Column(name = "")
	private BigDecimal policyLoans;
	@Column(name = "")
	private BigDecimal loansUnderGuaranteeFund;
	@Column(name = "")
	private BigDecimal loansFromOtherInstitutions;
	@Column(name = "")
	private String otherBanksName;
	@Column(name = "")
	private String otherBanksLoans;
	@Column(name = "")
	private BigDecimal raiseIndependently;
	@Column(name = "")
	private BigDecimal grossInterestRate;
	@Column(name = "")
	private BigDecimal assetLiabilityRatio;
	@Column(name = "")
	private String reportingStatus;
	@Column(name = "")
	private BigDecimal accountsPayableAndPrepaid;
	
	@Column(name = "")
	private String belongTo;

	//营业费用
	private BigDecimal operatingExpenses;
	//经营人员工资及福利
	private String wagesOperatingPersonnel;
	//管理费用
	private BigDecimal managementFees;
	//管理人员工资及福利
	private String managementSalariesBenefits;
	//银行借贷
	private BigDecimal bankLending;
	//长期借贷
	private BigDecimal longTermBorrowing;
	//粮油销售成本
	private BigDecimal costOfGrainAndOilSales;
	//销售费用率
	private BigDecimal ratioOfExpensesToSales;
	//销售利润率
	private BigDecimal profitRatioOfSales;
	//毛利
	private BigDecimal grossInterest;
}
