package com.unis.financial.server.entity.father;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "sys_cw_models--财务模板数据表")
@Table(name = "sys_cw_models")
@Data
public class SysCwModelsDO {

	@ApiModelProperty(value="主键唯一ID")
	@Column(name = "id")
	private String id;

	@ApiModelProperty(value="机构编码")
	@Column(name = "org_code")
	private String orgCode;

	@ApiModelProperty(value="部门编码")
	@Column(name = "depot_code")
	private String depotCode;
	
	@ApiModelProperty(value="部门名称")
	@Column(name = "depot_name")
	private String depotName;

	@ApiModelProperty(value="数据类型(0:项目评审报告,1:项目事前绩效评估报告,2:项目经费使用方案)")
	@Column(name = "data_type")
	private String dataType;

	@ApiModelProperty(value="模板名称")
	@Column(name = "m_name")
	private String mName;

	@ApiModelProperty(value="填报年份")
	@Column(name = "tbnf")
	private String tbnf;

	@ApiModelProperty(value="模板内容")
	@Column(name = "m_text")
	private String mText;

	@ApiModelProperty(value="模板路径")
	@Column(name = "m_path")
	private String mPath;

	@ApiModelProperty(value="数据状态(0:提交,1:保存)")
	@Column(name = "data_status")
	private String dataStatus;

	@ApiModelProperty(value="创建时间")
	@Column(name = "create_time")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty(value="创建人")
	@Column(name = "create_person")
	private String createPerson;

	@ApiModelProperty(value="修改时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@Column(name = "update_time")
	private Date updateTime;

	@ApiModelProperty(value="修改人")
	@Column(name = "update_person")
	private String updatePerson;
}
