package com.unis.financial.server.service;

import java.util.List;

import com.unis.financial.server.entity.father.SysCwModelsDO;

public interface SysCwModelsService {

	/**
	 * 主键查询一条数据
	 * @param id 主键ID
	 * @return
	 */
	SysCwModelsDO findByParmary(String id) throws Exception;

	/**
	 * 查询所有模板(不包括文件内容)
	 * @param dataType 数据类型(0:项目评审报告,1:项目事前绩效评估报告,2:项目经费使用方案)
	 * @param orgCode 机构编码
	 * @param depotCode 部门编码
	 * @param tbnf 填报年份
	 * @param id 数据ID
	 * @return
	 */
	List<SysCwModelsDO> findByList(String dataType, String orgCode, String depotCode, String tbnf, String id) throws Exception;

	/**
	 * 新增或修改数据
	 * @param sysCwModelsJson 数据对象
	 * @param operateName 操作人
	 */
	void updateOrSave(SysCwModelsDO sysCwModelsJson, String operateName) throws Exception;

	/**
	 * 按主键删除一条数据
	 * @param id 主键ID
	 */
	void deleteSysCwModels(String id) throws Exception;
}
