package com.unis.financial.server.service.impl;

import java.util.Date;
import java.util.List;
import java.util.UUID;

import javax.annotation.Resource;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.financial.server.dao.SysCwModelsDao;
import com.unis.financial.server.entity.father.SysCwModelsDO;
import com.unis.financial.server.service.SysCwModelsService;

@Service
public class SysCwModelsServiceImpl implements SysCwModelsService {

	@Resource
	private SysCwModelsDao sysCwModelsDao;

	@Override
	public SysCwModelsDO findByParmary(String id)  throws Exception {
		PageHelper.clearPage();
		SysCwModelsDO sysCwModelsDO = sysCwModelsDao.findByParmary(id);
		return sysCwModelsDO;
	}

	@Override
	public List<SysCwModelsDO> findByList(String dataType, String orgCode, String depotCode, String tbnf, String id)  throws Exception {
		SysCwModelsDO sysCwModelsDO = new SysCwModelsDO();
		if (StringUtils.isNotBlank(dataType)) {
			sysCwModelsDO.setDataType(dataType);
		}
		if (StringUtils.isNotBlank(orgCode)) {
			sysCwModelsDO.setOrgCode(orgCode);
		}
		if (StringUtils.isNotBlank(depotCode)) {
			sysCwModelsDO.setDepotCode(depotCode);
		}
		if (StringUtils.isNotBlank(tbnf)) {
			sysCwModelsDO.setTbnf(tbnf);
		}
		if (StringUtils.isNotBlank(id)) {
			sysCwModelsDO.setId(id);
		}
		List<SysCwModelsDO> list = sysCwModelsDao.findByList(sysCwModelsDO);
		return list;
	}

	@Override
	public void updateOrSave(SysCwModelsDO sysCwModels, String operateName) throws Exception {
		if (StringUtils.isNotBlank(sysCwModels.getId())) {
			sysCwModels.setUpdatePerson(operateName);
			sysCwModels.setUpdateTime(new Date());
			sysCwModelsDao.updateCwModels(sysCwModels);
		} else {
			sysCwModels.setId(UUID.randomUUID().toString().replace("-", ""));
			sysCwModels.setCreateTime(new Date());
			sysCwModels.setCreatePerson(operateName);
			sysCwModelsDao.insert(sysCwModels);
		}
	}

	@Override
	public void deleteSysCwModels(String id) throws Exception {
		sysCwModelsDao.delObj(id);
	}

}
